> For the complete documentation index, see [llms.txt](https://docs.kiln.fi/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kiln.fi/v1/kiln-products/onchain/deprecated-dedicated-validators/key-concepts/unstaking.md).

# Unstaking

Validator owner can exit and withdraw its staked balance at anytime.

The unstaking process happens in two steps:

1. Validator owner needs to **request the exit of the validator through a smart contract call**. This will emit an onchain event to notify the operator to perform the validator exit. Once the validator exit is performed by the operator, the validator join the Ethereum protocol exit queue before being fully withdrawn to the Kiln Onchain Dedicated corresponding CL Recipient address. This process can take from a couple days to weeks depending on the protocol activit.
2. Once the full balance of the validator has been withdraw to the corresponding CL Recipient address, the **validator owner can perform a usual rewards claim contract call** to receive its funds. Note that **no commission is taken on the staked principal** (32 ETH) when withdrawing it.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.kiln.fi/v1/kiln-products/onchain/deprecated-dedicated-validators/key-concepts/unstaking.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
